/***************************************************************************
 *   Copyright (C) 2006 by Vladimir Mitrovic   *
 *   snipe714@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/


#include <qtextedit.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qradiobutton.h>

#include "tridenswidget.h"

tridensWidget::tridensWidget(QWidget* parent, const char* name, WFlags fl)
        : tridensWidgetBase(parent,name,fl) {
	generator = new trigen();
}

tridensWidget::~tridensWidget() {
	delete generator;
}

/*$SPECIALIZATION$*/
void tridensWidget::button_clicked() {
	txtSifra->setText("");
	for (int i = 0; i < spinKoliko->value(); i++) {
		txtSifra->setText(txtSifra->text() + (i == 0 ? "" : "\n") + generator->generateNext(spinDuzina->value(), spinCifre->value(), chkMalaSlova->isChecked(), radio_devurandom->isChecked()));
	}
}

void tridensWidget::spinCifre_valueChanged(int value) {
	
}

void tridensWidget::spinDuzina_valueChanged(int value) {
	spinCifre->setMaxValue(spinDuzina->value());
}

#include "tridenswidget.moc"

