/***************************************************************************
 *   Copyright (C) 2006 by Vladimir Mitrovic   *
 *   snipe714@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TRIGEN_H
#define TRIGEN_H

#include <qstring.h>
#include <qfile.h>

/**
@author Vladimir Mitrovic
*/

// klasa koja generise sifru
class trigen {
private:
	QFile *urandom;
	QChar getRandomChar(bool);
	QChar getRandomDigit();
	QChar getURandomChar(bool);
	QChar getURandomDigit();
public:
	trigen();
	~trigen();
	
	QString generateNext(unsigned int passlen, unsigned int numcnt, bool lowercase, bool urand);
};

#endif
